summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGianluca Montecchi2015-06-08 21:50:44 +0200
committerGianluca Montecchi2015-06-08 21:50:44 +0200
commit63542c9be363561ce1c564a53a745fab6690e328 (patch)
tree4d4491ccc2f1e08c77977be2e4fda211bf30883c
downloadaur-63542c9be363561ce1c564a53a745fab6690e328.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD43
-rw-r--r--qglviewer.patch11
3 files changed, 75 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..da3a2cbfd54
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = libqglviewer
+ pkgdesc = C++ library based on Qt that eases the creation of OpenGL 3D viewers
+ pkgver = 2.6.1
+ pkgrel = 1
+ url = http://www.libqglviewer.com/
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ license = GPL3
+ license = custom
+ depends = qt5-base
+ depends = glu
+ depends = mesa
+ options = !makeflags
+ source = http://www.libqglviewer.com/src/libQGLViewer-2.6.1.tar.gz
+ source = qglviewer.patch
+ md5sums = 2fa216dff83a352bf4bc0ef40b341036
+ md5sums = 5d27000fc802b7b7125336ccf4735542
+
+pkgname = libqglviewer
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..51197a84ba0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Gianluca Montecchi <gian@grys.it>
+# Contributor: Geoffroy Carrier <geoffroy.carrier@aur.archlinux.org>
+# Contributor: Dmitriy Morozov <archlinux@foxcub.org>
+# Contributor: Larry Hajali <larryhaja [at] gmail [dot] com>
+
+pkgname=libqglviewer
+_pkgname=libQGLViewer
+pkgver=2.6.1
+pkgrel=1
+pkgdesc="C++ library based on Qt that eases the creation of OpenGL 3D viewers"
+url="http://www.libqglviewer.com/"
+depends=('qt5-base' 'glu' 'mesa')
+arch=('i686' 'x86_64')
+license=('GPL2' 'GPL3' 'custom')
+source=("http://www.libqglviewer.com/src/${_pkgname}-${pkgver}.tar.gz" "qglviewer.patch")
+md5sums=('2fa216dff83a352bf4bc0ef40b341036'
+ '5d27000fc802b7b7125336ccf4735542')
+options=(!makeflags)
+
+build()
+{
+ cd ${_pkgname}-${pkgver}
+ patch -p1 < ../qglviewer.patch
+ qmake -o Makefile ${_pkgname}-${pkgver}.pro || return 1
+
+ make \
+ CFLAGS="-pipe ${CFLAGS} -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" \
+ CXXLIBS=" ${CXXLIBS} " \
+ CXXFLAGS="-pipe ${CXXFLAGS} -I/usr/include/GL -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" || return 1
+
+
+}
+
+package()
+{
+ cd ${_pkgname}-${pkgver}
+
+ make install INSTALL_ROOT="$pkgdir" || return 1
+
+ # Install license.
+ install -d -m 0755 "${pkgdir}"/usr/share/licenses/$pkgname/ || return 1
+ install -m 0644 LICENCE GPL_EXCEPTION "${pkgdir}"/usr/share/licenses/$pkgname/ || return 1
+}
diff --git a/qglviewer.patch b/qglviewer.patch
new file mode 100644
index 00000000000..e25e0ce4704
--- /dev/null
+++ b/qglviewer.patch
@@ -0,0 +1,11 @@
+diff -rNu libQGLViewer-2.6.0-orig/libQGLViewer-2.6.0.pro libQGLViewer-2.6.02/libQGLViewer-2.6.0.pro
+--- libQGLViewer-2.6.1-orig/libQGLViewer-2.6.1.pro 2014-02-13 09:38:59.000000000 +0100
++++ libQGLViewer-2.6.1/libQGLViewer-2.6.1.pro 2014-03-05 21:32:07.736397390 +0100
+@@ -1,6 +1,6 @@
+ CONFIG += ordered
+ TEMPLATE = subdirs
+-SUBDIRS = QGLViewer examples examples/contribs designerPlugin
++SUBDIRS = QGLViewer designerPlugin
+
+ QT_VERSION=$$[QT_VERSION]
+